How to Install Firefox 3 RC1 in Ubuntu 8.04 (Hardy Heron)

Sponsored Link
This tutorial will explain howto install Firefox 3 RC1 in Ubuntu Hardy.go to System > Administration > Software Sources

Now you need to Third-Party Software tab and click Add

Add the following line and click on add source

deb http://ppa.launchpad.net/fta/ubuntu hardy main

After adding new source list you can see similar to the following screen and click on close

Now you need to click on reload in the following screen

Install firefox 3 RC1 in Ubuntu

open a terminal and try to use the following comamnds

sudo aptitude update

sudo aptitude dist-upgrade

This will install the firefox 3 RC1 from the source list we have added.

Firefox 3 RC1 in Action


Sponsored Link

Incoming search terms:

Related posts

28 thoughts on “How to Install Firefox 3 RC1 in Ubuntu 8.04 (Hardy Heron)

  1. After installing Firefox 3 Release Candidate 1, the language packages (xulrunner) are not recognized. Any help would be appreciated.

    Don’t install this upgrade if you want to keep your language packs.

    [Reply]

  2. Why don’t you use the update function inside FireFox? Hardy has FireFox 3 beta already so all we need to do is to open FireFox, navigate to Help menu, click Check for Updates… and then click Update when FireFox asks you for.

    [Reply]

  3. admin, I’ve been told that your post is confusing because you list another unrelated PPA. Could you please either hide/blur adnarim from your screenshots, or redo those screenshots without it ?

    btw, thanks for listing my PPA ;)

    [Reply]

  4. Jason, I highly recommend against sudo firefox. I tried it myself a few weeks ago and it seriously messed up my entire browser. Personally I’d prefer to wait until it’s available for Hardy.

    [Reply]

  5. This was a very bad idea.

    Firefox did not open anymore.
    Errors were:
    ASSERT: *** Search: _installLocation: engine has no file!
    Stack Trace:
    0:ENSURE_WARN(false,_installLocation: engine has no file!,2147500037)
    1:()
    2:()
    3:()
    4:epsGetAttr([object Object],alias)
    5:()
    6:SRCH_SVC_getEngineByAlias(http://whatever.com)
    7:getEngineByAlias(http://whatever.com)
    8:getShortcutOrURI(http://whatever.com,object Object])
    9:canonizeUrl([object MouseEvent],[object Object])
    10:handleURLBarCommand([object MouseEvent])
    11:onclick([object MouseEvent])

    xulrunner version did also not fit. reinstall of rc5 failed, I am back to Opera.

    is there a revert command or do I need to wait until the official sources have it?

    [Reply]

  6. @Canalegrande:

    Uninstall Firefox, and any other incompatible parts, like xulrunner. Remove ppa.lauchpad.net from your sources list, then reinstall Firefox.

    [Reply]

  7. Do not do anything on here. All bad ideas except not doing sudo firefox. Thanks for that Jason. I wish you could come over to my house and fix firefox for me. All my bookmarks are gone and foxmark can’t get them back. I wished I listened to Benny.

    [Reply]

  8. Does anybody know when RC1 will be released in the normal Ubuntu update channels? I’d rather get it that way than risk screwing something up, but it would be nice to get rid of the beta.

    [Reply]

  9. “sudo firefox” — very bad idea

    I got “NS_ERORR_ …” message for every firefox start

    Got better after “sudo chown -R : ~/.mozilla” (preceded by firefox reinstall I guess…)

    [Reply]

  10. It seems that the upgrade will go to the normal update repository soon: firefox 3 rc1 bits status

    I was able to upgrade from the Proposed repository and so far so good. The regular update is due out any day now if all goes well. I just got impatient.

    In Gnome’s Synaptic Package Manager:
    1. Add the Proposed Repository
    Settings > Repositories > Updates – Select Pre-released Updates – Hardy Proposed
    Click the “Reload” tool bar button.

    2. Search on keyword Firefox.
    You should see a number of items with yellow stars. Mark all of those for upgrade.

    QUIT OUT OF FIREFOX IF IT IS RUNNING. Just for safety.

    3. Apply the changes. Disregard the other packages that are not being upgraded. (Those are proposed packages you may not be interested in yet.)

    4. After the upgrade is complete, go back to Settings > Repositories > Updates and deselect Hardy Proposed.

    [Reply]

  11. Hey guys, in case you have upgraded using this method, but want to upgrade the official path later, follow these steps.

    NOTE: I uses this when my updates one day kept on pestering me to run a partial upgrade and the two packages that weren’t being installed were xulrunner related.

    1. Uninstall firefox (CHECK WHAT WILL BE REMOVED)
    2. Remove the link above from your sources.
    3. Go to the xulrunner, go to the package tab and force the beta version of xulrunner (if you try to uninstall and reinstall xulrunner, one of the removed files would be ubuntu-dekstop :-O)
    4. Reinstall firefox and associated packages. boom, back to beta 5 with all your data intact.

    [Reply]

  12. I installed this last week, and it worked perfect! But now suddently update manager says that Firefox 3 is available, but it can only do a partial upgrade due to xlrunner can’t be marked.

    I’m assuming that it’s this archive that is updating. What should I do?

    [Reply]

  13. I am having the same issue as Junior and am wondering what to do next. Is FF3RC1 now in the official repositories? Should we uninstall and reinstall from there?

    [Reply]

  14. Kasun,

    Could you explain what you mean by:

    3. Go to the xulrunner, go to the package tab and force the beta version of xulrunner.

    How do I go to the xulrunner?

    [Reply]

  15. sorry, English is not that good.

    Water Guy,

    search for xulrunner in synaptic package manager (make sure it’s selected; not marked for any action, just selected)
    Then Go up to the bar where File, Edit and all the other options are displayed
    Click on package
    Move down the menu to force version
    Select the version that contains any phrase or group of words with “beta 5″ or “bb5″ etc…

    then proceed with the rest of my instructions :-)

    [Reply]

  16. btw, the package name should be xulrunner-1.9 or something. Forcing the old version will bring you back to beta 5 after you reinstall firefox 3 from the repos.

    [Reply]

  17. A much better way:

    Go to System->Administration->Software Sources, tick proposed updates and update/dist-upgrade your machine.

    Alternatively, just wait, I am sure sine it’s in proposed it will be included in due time in main

    [Reply]

  18. I had the problems mentioned above with XULrunner, and basically, update manager not working like it was supposed to.

    I went into the software sources, removed the one that’s listed here to add, and then re-ran update manager – everything worked fine then, and it found about 60 more updates than it had found before.

    [Reply]

  19. When I upgraded to Ubuntu 8.04 I removed FF3 & reinstalled FF2 due to FF3 being a beta thus not supporting the plugins I use. It now appears that FF3 supports those plugins and now I would like to upgrade to FF3 RC1 from FF2 on Ubuntu 8.04. Will the above procedure work doing this or will I need to remove FF2 then install FF#? Any help for those of us who went back to FF2 after upgrading to 8.04 will be greatly appreciated!

    [Reply]

Leave a comment

Your email address will not be published. Required fields are marked *